/* =========================================================
   ABOUT HERO SECTION
========================================================= */

.about-hero{
    width:100%;
    min-height:100vh;
    background:#000;
    position:relative;
    overflow:hidden;
    padding:120px 8% 30px;
}




/* OVERLAY */
.about-overlay{
    position:absolute;
    inset:0;

    background:
    radial-gradient(
        circle at top right,
        rgba(176,40,214,0.12),
        transparent 40%
    );

    z-index:0;
}

/* CONTAINER */
.about-hero-container{
    width:100%;
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:60px;
    align-items:center;
    margin-bottom:40px;
    position:relative;
    z-index:2;

}

/* LEFT CONTENT */
.about-hero-content h1{
    color:#fff;

    font-size:72px;
    line-height:1.1;
    font-weight:600;

    margin-bottom:25px;
}

/* GRADIENT TEXT */
.about-hero-content h1 span{
    display:block;

    background:
    linear-gradient(
        90deg,
        #d946ef,
        #4f46e5
    );

    background-clip:text;
    -webkit-background-clip:text;

    color:transparent;
    -webkit-text-fill-color:transparent;
}

/* DESCRIPTION */
.about-hero-content p{
    max-width:500px;
    font-size:16px;
    font-weight: 100;
    line-height: 1.4;
    color: #fff;
    margin-bottom:35px;
}

/* BUTTON */
.about-hero-btn{
    width: 160px;
    height: 30px;
    border: 2px solid transparent;
    border-radius: 20px;
    background: linear-gradient(black, black) padding-box, /* Inner solid color */ 
                linear-gradient(to right, #B028D6, #3D46D4) border-box;
    color: #fff;
    text-decoration: none;
    font-weight: 400;
    display: flex;
    font-size: 12px;
    justify-content: center;
    align-items: center;
    transition: 0.4s ease;

}

/* BUTTON HOVER */
.about-hero-btn:hover{

    transform:
    translateY(-5px)
    scale(1.03);

    box-shadow:
    0 0 15px rgba(176,40,214,0.4),
    0 0 30px rgba(61,70,212,0.25);
}

/* IMAGE */
.about-hero-image{
    position:relative;
}

/* IMAGE */
.about-hero-image img{
    width:100%;

    border-radius:20px;

    object-fit:cover;

    transition:
    transform 0.5s ease,
    box-shadow 0.5s ease;
}

/* BOXES */
.about-hero-boxes{
    margin-top:30px;
    display:grid;
    grid-template-columns:repeat(4,1.9fr);
    gap:30px;
}

/* SINGLE BOX */
.about-hero-box{
    padding:5px 20px;
    border:1px solid transparent;
    border-radius: 12px;
    background: 
        linear-gradient(black, black) padding-box, /* Inner solid color */
        linear-gradient(to right, #B028D6, #3D46D4) border-box; /* Outer gradient */
    display:flex;
    gap:6px;
    transition:0.4s ease;
    box-shadow:
    0 0 25px rgba(123,44,255,0.15);
}

/* HOVER */
.about-hero-box:hover{
    box-shadow:
    0 0 40px rgba(168,85,247,0.2);
}

/* ICON */
/* ICON IMAGE */
.about-hero-box img{
    width:42px;
    height:42px;
    object-fit:contain;
}

/* TITLE */
.about-hero-box h3{
    color:#fff;
    font-size:15px;
    font-weight: 500;
}

/* TEXT */
.about-hero-box p{
    color:#fff;
    font-size:10px;
    line-height:1.7;
}
/*------------------*/
/* ABOUT SECTION */ 

/*------------------*/
/* BOXES ANIMATION */
/*------------------*/

.about-hero-box{
    opacity:0;
    transform:translateY(60px);

    transition:
    opacity 0.8s ease,
    transform 0.8s ease,
    box-shadow 0.4s ease;
}

/* SHOW */
.about-hero-box.show{
    opacity:1;
    transform:translateY(0);
}

/* DELAY */
.about-hero-box:nth-child(1){
    transition-delay:0.1s;
}

.about-hero-box:nth-child(2){
    transition-delay:0.2s;
}

.about-hero-box:nth-child(3){
    transition-delay:0.3s;
}

.about-hero-box:nth-child(4){
    transition-delay:0.4s;
}

/*------------------*/
/* BOX HOVER */
/*------------------*/

.about-hero-box:hover{

    transform:
    translateY(-8px)
    scale(1.02);

    box-shadow:
    0 0 20px rgba(176,40,214,0.3),
    0 0 40px rgba(61,70,212,0.2);
}

/*------------------*/
/* ICON ANIMATION */
/*------------------*/

.about-hero-box img{
    transition:0.4s ease;
}

/* ICON HOVER */
.about-hero-box:hover img{
    transform:
    rotate(-8deg)
    scale(1.08);
}

/*------------------*/
/* TITLE GLOW */
/*------------------*/

.about-hero-content h2 span{
    animation:titleGlow 3s ease infinite;
}

@keyframes titleGlow{

    0%{
        filter:brightness(1);
    }

    50%{
        filter:brightness(1.3);
    }

    100%{
        filter:brightness(1);
    }

}


/* =========================================================
   COMPANY STORY SECTION
========================================================= */

.story-section{
    width:100%;
    padding:30px 8%;
    background:#000;
    position: relative;
}

.story-section::before{
    content:'';
    position:absolute;
    top:0px;
    left:3%;
    width:94%;
    height:1px;
    background:linear-gradient(to right, #B028D6, #3D46D4, #B028D6);
}

/* MAIN CONTAINER */
.story-container{
    position:relative;

    width:100%;

    border:1px solid #7b2cff;
    border-radius:32px;

    padding:26px;

    background:
    linear-gradient(
        135deg,
        rgba(25,0,40,0.96),
        rgba(5,0,15,1)
    );

    display:grid;
    grid-template-columns:1.1fr 1fr 0.6fr;
    gap:15px;

    overflow:hidden;

    box-shadow:
    0 0 25px rgba(123,44,255,0.12);
}

/* LEFT SIDE */
.story-left{
    position:relative;
    z-index:2;
}

/* MINI TITLE */
.story-mini-title{
    color:#c026d3;

    font-size:16px;
    font-weight:600;

    letter-spacing:8px;

    margin-bottom:8px;

    position:relative;
}

/* SMALL LINE */
.story-mini-title::after{
    content:'';

    position:absolute;
    top:50%;
    margin-left:5px;

    width:31px;
    height:1px;

    background:#c026d3;
}

/* TITLE */
.story-left h2{
    color:#fff;

    font-size:30px;
    line-height:1.3;

    font-weight:600;

    margin-bottom:5px;
}

/* GRADIENT TITLE */
.story-left h2 span{
    display:block;

    background:
    linear-gradient(
        180deg,
        #FFFFFF,
        #8A38F5
    );

    background-clip:text;
    -webkit-background-clip:text;

    color:transparent;
    -webkit-text-fill-color:transparent;
}

/* PARAGRAPH */
.story-left p{
    color:#e5e5e5;

    font-size:12px;
    line-height:1.8;

    margin-bottom:10px;

    max-width:740px;
}

/* DATE COLOR */
.story-left p span{
    color:#8A38F5;
}

/* TIMELINE */
.story-timeline{
    position:relative;

    display:flex;
    flex-direction:column;
    gap:45px;

    padding-left:20px;
}

/* CENTER LINE */
.story-timeline::before{
    content:'';

    position:absolute;

    left:44px;
    top:45px;

    width:2px;
    height:68%;

    border-left:2px dashed #8A38F5;
}

/* ITEM */
.timeline-item{
    display:flex;
    gap:22px;
    align-items:flex-start;

    position:relative;
    z-index:2;
}

/* ICON */
.timeline-icon{
    min-width:50px;
    width:50px;
    height:50px;

    border-radius:50%;

    border:1px solid #9333ea;

    display:flex;
    align-items:center;
    justify-content:center;

    background:black;

    box-shadow:
    0 0 25px rgba(176,40,214,0.25);
}

/* ICON */
.timeline-icon i{
    color:#d946ef;
    font-size:18px;
}

/* TEXT */
.timeline-content h3{
    color:#a855f7;

    font-size:14px;
    font-weight:600;
}

/* TEXT */
.timeline-content p{
    color:#fff;

    font-size:12px;
    line-height:1.8;

    max-width:280px;
}

/* RIGHT LOGO */
.story-logo{
    display:flex;
    align-items:center;
    justify-content:center;
}

/* IMAGE */
.story-logo img{
    width:170px;
    opacity:0.95;
}

/* =========================================================
   HOVER EFFECT
========================================================= */

.story-container{
    transition:0.4s ease;
}

.story-container:hover{
    box-shadow:
    0 0 40px rgba(176,40,214,0.18);
}

/* ICON HOVER */
.timeline-icon{
    transition:0.4s ease;
}



/* =========================================================
   VISION & MISSION
========================================================= */

.vision-mission-wrapper{
    margin-top:35px;

    display:grid;
    grid-template-columns:1fr 1fr;
    gap:35px;
}

/* CARD */
.vision-box{
    padding:14px 26px;

    border:1px solid #7b2cff;
    border-radius:28px;

    background:
    linear-gradient(
        135deg,
        rgba(25,0,40,0.96),
        rgba(5,0,15,1)
    );

    box-shadow:
    0 0 20px rgba(123,44,255,0.12);

    transition:0.4s ease;
}



/* MINI TITLE */
.vision-mini-title{       

    color:#c026d3;

    font-size:16px;
    font-weight:600;

    letter-spacing:8px;

    margin-bottom:8px;

    position:relative;

   
}

/* LINE */
.vision-mini-title::after{
    content:'';

    position:absolute;
    top:50%;
    margin-left:5px;

    width:31px;
    height:1px;

    background:#c026d3;

}

/* TITLE */
.vision-box h2{
    color:#fff;

    font-size:30px;
    line-height:1.3;

    font-weight:600;

    margin-bottom:5px;

}

/* CONTENT */
.vision-content{
    display:flex;
    align-items:center;
    gap:25px;
}

/* ICON */
.vision-icon{
    min-width:50px;
    width:50px;
    height:50px;

    border-radius:50%;

    border:1px solid #9333ea;

    display:flex;
    align-items:center;
    justify-content:center;

    background:
    radial-gradient(
        circle,
        rgba(176,40,214,0.25),
        rgba(0,0,0,0.95)
    );

    box-shadow:
    0 0 25px rgba(176,40,214,0.25);

    transition:0.4s ease;
}

/* ICON */
.vision-icon i{
    color:#d946ef;
    font-size:18px;
}

/* LINE */
.vision-line{
    width:1px;
    height:75px;

    background:
    linear-gradient(
        to bottom,
        transparent,
        #9333ea,
        transparent
    );
}

/* TEXT */
.vision-content p{
    color: #fff;;

    font-size:12px;
    line-height:1.8;

    max-width:420px;
}






/* =========================================================
   FOUNDER SECTION
========================================================= */


.founder-section{
    width:100%;
    padding:30px 8%;
    background:#000;
    position:relative;
}

.founder-section::before{
    content: '';
    position: absolute;
    top: 0px;
    left: 3%;
    width: 94%;
    height: 1px;
    background: linear-gradient(to right, #B028D6, #3D46D4, #B028D6);
}


/* CONTAINER */
.founder-container{
    display:grid;
    grid-template-columns:0.7fr 1.3fr;
    gap:10px;
    align-items:center;
}

/* =========================================================
   LEFT IMAGE
========================================================= */

.founder-image{
    position:relative;
    display:flex;
    justify-content:center;
    align-items:center;
}


/* IMAGE */
.founder-image img{
    width:100%;
    height: 380px;
    max-width:430px;
    opacity: 75%;

    position:relative;
    z-index:2;

    object-fit:contain;
}

/* =========================================================
   RIGHT CONTENT
========================================================= */

.founder-mini-title{
    color: #c026d3;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 8px;
    margin-bottom: 8px;
    position: relative;
}

/* SMALL LINE */
.founder-mini-title::after{
    content: '';
    position: absolute;
    top: 50%;
    margin-left: 5px;
    width: 31px;
    height: 1px;
    background: #c026d3;
}

/* NAME */
.founder-content h2{
    font-size:30px;
    font-weight:700;


    background: linear-gradient(180deg, #FFFFFF, #8A38F5);

    background-clip:text;
    -webkit-background-clip:text;

    color:transparent;
    -webkit-text-fill-color:transparent;
}

/* ROLE */
.founder-content h3{
    color:#fff;

    font-size:18px;
    font-weight:600;

    margin-bottom:15px;
}

/* DESCRIPTION */
.founder-description{
    color:#fff;

    font-size:12px;
    line-height:1.8;
    font-weight: 200;

    margin-bottom:10px;
}

.founder-link{
    display: grid;
    grid-template-columns: 0.5fr 1fr;
    gap:10px;
    align-items:center;;
}

/* =========================================================
   SOCIAL ICONS
========================================================= */

.founder-social{
    display:flex;
    gap:18px;

}

/* ICON */
.founder-social a{
    width:35px;
    height:35px;

    border-radius:50%;

    border:1px solid #9333ea;

    display:flex;
    align-items:center;
    justify-content:center;

    color:#fff;
    text-decoration:none;

    transition:0.4s ease;
}

/* HOVER */
.founder-social a:hover{

    transform:
    translateY(-1px)
    scale(1);

    box-shadow:
    0 0 20px rgba(176,40,214,0.5);
}





/* ===================================
   ABOUT HERO - TABLET
=================================== */
@media (max-width: 1024px) {

    .about-hero{
        padding:130px 5% 60px;
        min-height: 0vh;
    }

    .about-hero-container{
        gap:40px;
    }

    .about-hero-content h1{
        font-size:56px;
    }

    .about-hero-content p{
        max-width:100%;
        font-size:15px;
    }

    .about-hero-boxes{
        grid-template-columns:repeat(2,1fr);
        gap:20px;
    }

    .about-hero-box{
        padding:15px;
    }

     .story-section{
        padding:60px 5%;
    }

    .story-container{
        grid-template-columns:1fr 1fr;
        gap:30px;
    }

    .story-logo{
        display:none;
    }

    .story-left h2{
        font-size:26px;
    }

    .story-mini-title,
    .vision-mini-title,
    .founder-mini-title{
        font-size:14px;
        letter-spacing:4px;
    }

    .vision-box h2{
        font-size:26px;
    }

    .vision-mission-wrapper{
        gap:25px;
    }

    .founder-section{
        padding:60px 5%;
    }

    .founder-container{
        grid-template-columns:0.9fr 1.1fr;
        gap:25px;
    }

    .founder-image img{
        height:320px;
    }

}


/* ===================================
   ABOUT HERO - MOBILE
=================================== */
@media (max-width: 768px) {

    .about-hero{
        padding:120px 6% 50px;
    }

    .about-hero-container{
        grid-template-columns:1fr;
        gap:35px;
    }

    .about-hero-content{
        text-align:center;
        order:2;
    }

    .about-hero-image{
        order:1;
    }

    .about-hero-content h1{
        font-size:42px;
        line-height:1.2;
        margin-bottom:20px;
    }

    .about-hero-content p{
        max-width:100%;
        font-size:14px;
        line-height:1.8;
        margin-bottom:25px;
    }

    .about-hero-btn{
        margin:auto;
        width:180px;
        height:40px;
        font-size:13px;
    }

    .about-hero-boxes{
        grid-template-columns:1fr;
        gap:18px;
        margin-top:35px;
    }

    .about-hero-box{
        padding:15px;
    }

    .about-hero-box h3{
        font-size:16px;
    }

    .about-hero-box p{
        font-size:12px;
    }

     .story-section{
        padding:55px 6%;
    }

    .story-container{
        grid-template-columns:1fr;
        gap:35px;
        padding:22px;
        border-radius:24px;
    }

    .story-logo{
        display:none;
    }

    .story-mini-title{
        font-size:13px;
        letter-spacing:3px;
    }

    .story-left h2{
        font-size:24px;
    }

    .story-left p{
        font-size:13px;
        text-align: justify;
    }

    .story-timeline{
        padding-left:0;
    }

    .story-timeline::before{
        left:24px;
    }

    .timeline-item{
        gap:15px;
    }

    .timeline-icon{
        width:45px;
        height:45px;
        min-width:45px;
    }

    .vision-mission-wrapper{
        grid-template-columns:1fr;
        gap:20px;
    }

    .vision-box{
        padding:20px;
    }

    .vision-mini-title{
        font-size:13px;
        letter-spacing:3px;
    }

    .vision-box h2{
        font-size:24px;
    }

    .vision-content{
        gap:15px;
    }

    .vision-content p{
        font-size:13px;
    }

    /* FOUNDER */

    .founder-section{
        padding:55px 6%;
    }

    .founder-container{
        grid-template-columns:1fr;
        gap:30px;
    }

    .founder-image{
        order:1;
    }

    .founder-content{
        order:2;
        text-align:center;
    }

    .founder-image img{
        max-width:300px;
        height:auto;
    }

    .founder-content h2{
        font-size:26px;
    }

    .founder-content h3{
        font-size:16px;
    }

    .founder-description{
        font-size:13px;
        text-align: justify;
    }

    .founder-link{
        grid-template-columns:1fr;
        justify-items:center;
        gap:20px;
    }

    .founder-social{
        justify-content:center;
    }

}


/* ===================================
   ABOUT HERO - SMALL MOBILE
=================================== */
@media (max-width: 480px) {

    .about-hero{
        padding:110px 20px 45px;
    }

    .about-hero-content h1{
        font-size:32px;
        line-height:1.3;
    }

    .about-hero-content p{
        font-size:13px;
        line-height:1.8;
    }

    .about-hero-btn{
        width:220px;
        height:35px;
        font-size:12px;
    }

    .about-hero-image img{
        border-radius:16px;
    }

    .about-hero-box{
        flex-direction:column;
        align-items:center;
        text-align:center;
        gap:10px;
        padding:18px;
    }

    .about-hero-box img{
        width:50px;
        height:50px;
    }

    .about-hero-box h3{
        font-size:15px;
    }

    .about-hero-box p{
        font-size:12px;
        line-height:1.7;
    }


    .story-section{
        padding:50px 20px;
    }

    .story-container{
        padding:18px;
        border-radius:18px;
    }

    .story-mini-title,
    .vision-mini-title,
    .founder-mini-title{
        font-size:12px;
        letter-spacing:2px;
    }

    .story-left h2{
        font-size:20px;
        line-height:1.4;
    }

    .story-left p{
        font-size:12px;
        line-height:1.8;
        text-align: justify;
    }

    .timeline-icon{
        width:40px;
        height:40px;
        min-width:40px;
    }

    .timeline-icon i{
        font-size:15px;
    }

    .timeline-content h3{
        font-size:13px;
    }

    .timeline-content p{
        font-size:11px;
    }

    .story-timeline::before{
        left:20px;
    }

    /* VISION */

    .vision-box{
        padding:18px;
        border-radius:18px;
    }

    .vision-box h2{
        font-size:20px;
    }

    .vision-content{
        flex-direction:column;
        text-align:center;
        gap:12px;
    }

    .vision-line{
        width:70px;
        height:1px;
    }

    .vision-content p{
        font-size:12px;
        line-height:1.8;
    }

    /* FOUNDER */

    .founder-section{
        padding:50px 20px;
    }

    .founder-image img{
        max-width:250px;
    }

    .founder-mini-title::after{
        display: none;
    }

    .founder-content h2{
        font-size:22px;
    }

    .founder-content h3{
        font-size:14px;
        line-height:1.5;
    }

    .founder-description{
        font-size:12px;
        line-height:1.8;
        text-align: justify;
    }

    .founder-social{
        gap:12px;
    }

    .founder-social a{
        width:32px;
        height:32px;
    }

}